package com.thinker.test.test5;

public class Test_5_6{

	/**
	 * 
	 * 题目：
	 *		编写程序，交换某个程序的奇数位和偶数位，使用的指令越少越好
	 *		（也就是说，位0与位1交换，位2与位3交换，依次类推）。
	 *		
	 **/
	public static void main(String[] args){
		int n = 33;
		System.out.println(com.thinker.common.test.test5.Test_5_2.zhengshu(n).toString());
		System.out.println(n + ":\t" + go(n));
		System.out.println(com.thinker.common.test.test5.Test_5_2.zhengshu(go(n)).toString());
	}
	public static int go(int n){
		return ( ((n & 0xaaaaaaaa) >> 1) | ((n & 0x55555555) << 1) );
	}	
}
